/**************************************************************************/
/*                                                                        */
/*                                 Sources                                */
/*                                from  the                               */
/*                           XSC SOFTWARE PACKAGE                         */
/*                                                                        */
/*                Copyright (c) 1997 University of Karlsruhe              */
/*                     Institute for Appl. Mathematics                    */
/*                                                                        */
/* This program is free software for non-commercial use. For details, see */
/* the file LICENSE.XSC, distributed with this software package.          */
/*                                                                        */
/* This program is distributed WITHOUT ANY WARRANTY. For details, see the */
/* file LICENSE.XSC, distributed with this software package.              */
/*                                                                        */
/**************************************************************************/

/* RCS $Id: a_fcth.h,v 1.2 1997/09/25 16:42:11 ae59 Exp $ */
/*
$Log: a_fcth.h,v $
 * Revision 1.2  1997/09/25  16:42:11  ae59
 * Copyright-message
 *
 * Revision 1.1  1994/01/27  13:20:44  ae59
 * Put under RCS control
 *
 */
/****************************************************************/
/*                                                              */
/*      Filename        : a_fcth.h                              */
/*                                                              */
/*      Description     : function prototypes                   */
/*                                                              */
/*      Date            : 1993-09-13                            */
/*      1993-09-13 : a_itim, a_gtim added          =b=          */
/*      1992-07-21 : changed argument new to new_d =b=          */
/*      1991-07-08 : a_2psh(),a_cpsh(),a_2pop() replace a_pp*() */
/*      1991-04-19 : a_ppsh(),a_ppop()                          */
/*      1991-02-25 : a_clck(),a_tick()                          */
/*      1991-01-15 : a_popt()                                   */
/*      1991-01-07 : a_gets,a_sets                              */
/*      1990-11-12 : a_umin                                     */
/*      1990-10-31 : a_sval,a_ival                              */
/*      1990-10-30 : a_sval inserted                            */
/*      1990-10-23 : a_syst inserted                            */
/*      1990-10-11 : a_free : argument changed to char **       */
/*      1990-09-18 : a_free : argument changed to a_VOID *      */
/*      1990-08-08 : a_exit inserted                            */
/*      1990-07-18 : a_free inserted                            */
/****************************************************************/

#ifdef LINT_ARGS
void   a_2pop(void);
void   a_2psh(a_VOID new_d,a_VOID old);
a_intg a_abs_(a_intg a);
a_intg a_add_(a_intg i,a_intg j);
a_intg a_band(a_intg a,a_intg b);
a_intg a_bclr(a_intg a,a_intg m);
a_intg a_beqv(a_intg a,a_intg b);
a_intg a_bmsb(a_intg a);
a_intg a_bnot(a_intg a);
a_intg a_bons(a_intg a);
a_intg a_bor_(a_intg a,a_intg b);
a_intg a_brtt(a_intg a,a_intg m);
a_intg a_bset(a_intg a,a_intg m);
a_intg a_bshf(a_intg a,a_intg m);
a_bool a_btst(a_intg a,a_intg m);
a_intg a_bxor(a_intg a,a_intg b);
a_intg a_clck(void);
void   a_cpsh(a_VOID new_d,a_VOID old);
a_intg a_div_(a_intg i,a_intg j);
void   a_exit(a_intg p);
void   a_free(char **);
a_btyp a_gets(a_btyp *rc);
a_intg a_gtim(void);
void   a_itim(void);
a_intg a_ival(s_trng s);
a_btyp a_ixch(a_intg i,a_intg l,a_intg u);
a_VOID a_lloc(size_t i);
a_intg a_mod_(a_intg i,a_intg j);
a_intg a_mul_(a_intg i,a_intg j);
a_VOID a_nilc(a_VOID a);
void   a_popt(f_text *desc,s_trng option);
void   a_sets(int rounding);
a_intg a_sqr_(a_intg a);
a_intg a_sub_(a_intg i,a_intg j);
a_intg a_sval(s_trng s,s_trng *t);
a_intg a_syst(s_trng s);
a_intg a_tick(void);
a_intg a_umin(a_intg a);
#else
a_bool a_btst();
a_btyp a_gets(), a_ixch();
a_intg a_abs_(), a_add_(), a_band(), a_bclr(), a_beqv(), a_bmsb(), a_bnot(),
       a_bons(), a_bor_(), a_brtt(), a_bset(), a_bshf(), a_bxor(), a_clck(),
       a_div_(), a_gtim(), a_ival(), a_mod_(), a_mul_(), a_sqr_(), a_sub_(), 
	  a_sval(), a_syst(), a_tick(), a_umin();
a_VOID a_lloc(), a_nilc(), a_ppop();
void   a_exit(), a_free(), a_itim(), a_popt(), a_ppsh(), a_sets();
#endif
